# Engagement Categories Engagement Categories ## Gets all of the engagement categories in the system. - [GET /engagementCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/listengagementcategories.md): This method will scan all engagement categories and and return them to the caller. ## Creates a new engagement category record that does not already exist. - [POST /engagementCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/createengagementcategory.md): This method will auto-generate an ID and create a new engagement category. If an ID is specified for the engagement category, an error will be thrown. ## Execute Batch Operations - [POST /engagementCategories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a engagement category from the system by its ID. - [DELETE /engagementCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/deleteengagementcategory.md): This method will delete a engagement category with the specified ID. ## Returns a engagement category from the system by its ID. - [GET /engagementCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/getengagementcategory.md): This method will look up a engagement category by the specified ID and return it back. ## Partially updates a engagement category with the specified ID. - [PATCH /engagementCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/patchengagementcategory.md): This method will patch an existing engagement category with the specified ID, using the HTTP PATCH specification. ## Updates a engagement category with the specified ID. - [PUT /engagementCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/updateengagementcategory.md): This method will update an existing engagement category with the specified ID.